<script lang="ts">
    import { createEventDispatcher } from 'svelte'
    import type Building from 'models/Building'

    export let isBuilding: boolean
    export let building: Building // type Building si isBuilding

    const dispatch = createEventDispatcher()
    const cancel = () => {
        dispatch('cancel')
    }

    const upgrade = () => {
        building.up()
    }
</script>

<footer>
    {#if isBuilding}
        <button class="upgrade" on:click={upgrade}>
            {#if building.level}
                Améliorer
            {:else}
                Construire
            {/if}
        </button>
        {#if building.name !== 'DistrictCouncil' && building.level}
            <button class="demolish">Démolir</button>
        {/if}
    {/if}
    <button on:click|preventDefault={cancel} class="cancel">Cancel</button>
</footer>

<style lang="postcss">
    footer {
        @apply grid gap-1;
    }
    button {
        @apply p-1 rounded-lg mt-2;
    }
    .upgrade {
        @apply bg-green-200;
    }
    .demolish {
        @apply bg-red-200;
    }
    .cancel {
        @apply bg-gray-200;
    }
</style>
